<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      data-namespace-typo3-fluid="true">

<h3 class="mt-0">
<f:if condition="!{index.allDay}">

    <f:if condition="{index.startDate -> f:format.date(format: 'Y')} == {index.endDate -> f:format.date(format: 'Y')}">
        <f:then>
            {index.startDate -> f:format.date(format: 'd.m.')} - {index.endDate -> f:format.date(format: 'd.m.Y')}
        </f:then>
        <f:else>
            {index.startDate -> f:format.date(format: 'd.m.Y')} - {index.endDate -> f:format.date(format: 'd.m.Y')}
        </f:else>

    </f:if>
</f:if>
</h3>

<f:format.date format="{settings.timeFormat}">{index.startDateComplete}</f:format.date>&nbsp;&mdash;&nbsp;

<f:if condition="{index.allDay}">
	<f:then>
		<f:translate key="all_day" />
	</f:then>
	<f:else>
		<f:if condition="{index.endTime}">
			<f:if condition="{index.endTime}!=86399">
				<f:then>
					<f:format.date format="{settings.timeFormat}">{index.endDateComplete}</f:format.date> Uhr
				</f:then>
				<f:else>
					<f:translate key="open_end" />
				</f:else>
			</f:if>
		</f:if>
	</f:else>
</f:if>

</html>
